import { OnInit, AfterViewInit, EventEmitter, ElementRef } from '@angular/core';
import * as models from './filter-category.model';
export declare class FilterCategoryComponent implements OnInit, AfterViewInit {
    private _elRef;
    config: models.FilterCategoryConfig;
    primaryColor: string;
    filterData: models.FilterCategoryModel;
    limitShowNumber: number;
    seeMoreButtonText: string;
    collapseButtonText: string;
    checkChange: EventEmitter<Array<any>>;
    isCollapsed: boolean;
    showNumber: number;
    maxItemOnScroll: number;
    constructor(_elRef: ElementRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private setupInitialVariable;
    private setupInitialUIStyle;
    checkboxChange(): void;
    toggleShowList(): void;
}
