import { PipeTransform } from '@angular/core';
import { InternationalizationPipeProcessingBase } from '../bases/internationalization-pipe-processing-base';
import { InternationalizationBase } from '../bases/internationalization-base';
export declare class PenetraceDecimalPipe implements PipeTransform {
    private _internationalization;
    private _pipeProcessing;
    constructor(_internationalization: InternationalizationBase, _pipeProcessing: InternationalizationPipeProcessingBase);
    transform(value: any, digitsInfo?: string, decimalSeparator?: string, thousandSeparator?: string): string | null;
}
export declare class PenetracePercentPipe implements PipeTransform {
    private _internationalization;
    private _pipeProcessing;
    constructor(_internationalization: InternationalizationBase, _pipeProcessing: InternationalizationPipeProcessingBase);
    transform(value: any, digitsInfo?: string, percentFormat?: string, decimalSeparator?: string, thousandSeparator?: string): string | null;
}
