import { OnInit, AfterViewInit, ElementRef, EventEmitter } from '@angular/core';
import * as models from './left-menu.model';
export declare class PenLeftMenuComponent implements OnInit, AfterViewInit {
    private _elRef;
    config: models.PenLeftMenuConfig;
    logoImg: string;
    topMenuList: Array<models.PenLeftMenuItemModel>;
    bottomMenuList: Array<models.PenLeftMenuItemModel>;
    bottomImg: string;
    primaryColor: string;
    clickMenuItem: EventEmitter<models.PenLeftMenuItemModel>;
    constructor(_elRef: ElementRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onItemClick(menuItem: any): void;
    private setupInitialVariable;
    private setupInitialUIStyle;
}
