import { OnInit, EventEmitter, OnChanges, SimpleChanges, DoCheck } from '@angular/core';
import { LanguageItem, ProfileSettingItem, ActivityOwnerItem, Options, IconItem } from './top-navigation.model';
export declare class TopNavigationComponent implements OnInit, OnChanges, DoCheck {
    color: string;
    fullName: string;
    brandName: string;
    profileImage: string;
    selectedLanguage: LanguageItem;
    options: Options;
    leftIconList: Array<IconItem>;
    languageList: Array<LanguageItem>;
    profileSettingList: Array<ProfileSettingItem>;
    activityOwnerList: Array<ActivityOwnerItem>;
    clickLeftIcon: EventEmitter<any>;
    selectLanguage: EventEmitter<any>;
    selectProfileSetting: EventEmitter<any>;
    defaultOptions: Options;
    defaultActivityOwnerList: any[];
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngDoCheck(): void;
    onLeftIconClicked(icon: any): void;
    onLanguageSelected(lang: any): void;
    onProfileSettingSelected(setting: any): void;
    private _getActivityOwnerList;
}
